Bug 505511 - stack smashing detected ***: smbd terminated
stack smashing detected ***: smbd terminated
Status: CLOSED DUPLICATE of bug 505724
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
11
All Linux
high Severity high
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 03:52 EDT by udo
Modified: 2009-06-17 14:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-17 14:21:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description udo 2009-06-12 03:52:28 EDT
Description of problem:
When smbd starts I get: stack smashing detected ***: smbd terminated
And a lot more info (see below)

Version-Release number of selected component (if applicable):
# rpm -qa|grep samba
samba-winbind-3.3.2-0.33.fc11.i586
samba-client-3.3.2-0.33.fc11.i586
samba-common-3.3.2-0.33.fc11.i586
samba-3.3.2-0.33.fc11.i586
samba-swat-3.3.2-0.33.fc11.i586


How reproducible:
upgrade to F11, start samba

Steps to Reproduce:
1. upgrade to F11 from 10
2. start samba
3.
  
Actual results:
see below

Expected results:
clean startup

Additional info:
Linux epia 2.6.28.7 #10 PREEMPT Sun Feb 22 14:30:39 CET 2009 i686 i686 i386 GNU/Linux

VIA Epia EK8000 
# cat /proc/cpuinfo 
processor	: 0
vendor_id	: CentaurHauls
cpu family	: 6
model		: 9
model name	: VIA Nehemiah
stepping	: 10
cpu MHz		: 800.046
cache size	: 64 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr cx8 apic sep mtrr pge cmov pat mmx fxsr sse rng rng_en ace ace_en
bogomips	: 1600.09
clflush size	: 32
power management:



log:

]# service smb restart
Shutting down SMB services:                                [  OK  ]
Starting SMB services: *** stack smashing detected ***: smbd terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x40)[0xb7700d30]
/lib/libc.so.6(__fortify_fail+0x0)[0xb7700cf0]
/lib/libgcrypt.so.11[0xb72ce2d4]
/lib/libgcrypt.so.11[0xb72c5a84]
======= Memory map: ========
b6fd8000-b7002000 r-xp 00000000 03:05 76972      /lib/libgcc_s-4.4.0-20090506.so.1
b7002000-b7003000 rw-p 00029000 03:05 76972      /lib/libgcc_s-4.4.0-20090506.so.1
b7003000-b700e000 r-xp 00000000 03:05 77089      /lib/libnss_files-2.10.1.so
b700e000-b700f000 r--p 0000a000 03:05 77089      /lib/libnss_files-2.10.1.so
b700f000-b7010000 rw-p 0000b000 03:05 77089      /lib/libnss_files-2.10.1.so
b701a000-b702a000 r--s 00000000 03:08 64130      /usr/lib/samba/valid.dat
b702a000-b702c000 r-xp 00000000 03:08 65140      /usr/lib/gconv/IBM850.so
b702c000-b702d000 r--p 00001000 03:08 65140      /usr/lib/gconv/IBM850.so
b702d000-b702e000 rw-p 00002000 03:08 65140      /usr/lib/gconv/IBM850.so
b702e000-b7030000 r-xp 00000000 03:08 65255      /usr/lib/gconv/UTF-16.so
b7030000-b7031000 r--p 00001000 03:08 65255      /usr/lib/gconv/UTF-16.so
b7031000-b7032000 rw-p 00002000 03:08 65255      /usr/lib/gconv/UTF-16.so
b7032000-b7232000 r--p 00000000 03:08 66818      /usr/lib/locale/locale-archive
b7232000-b7252000 r--s 00000000 03:08 64128      /usr/lib/samba/lowcase.dat
b7252000-b7272000 r--s 00000000 03:08 64129      /usr/lib/samba/upcase.dat
b7272000-b7274000 rw-p b7272000 00:00 0 
b7274000-b7277000 r-xp 00000000 03:05 76986      /lib/libgpg-error.so.0.4.0
b7277000-b7278000 rw-p 00002000 03:05 76986      /lib/libgpg-error.so.0.4.0
b7278000-b7279000 rw-p b7278000 00:00 0 
b7279000-b72ee000 r-xp 00000000 03:05 77157      /lib/libgcrypt.so.11.5.2
b72ee000-b72f1000 rw-p 00074000 03:05 77157      /lib/libgcrypt.so.11.5.2
b72f1000-b7301000 r-xp 00000000 03:08 63184      /usr/lib/libtasn1.so.3.1.2
b7301000-b7302000 rw-p 00010000 03:08 63184      /usr/lib/libtasn1.so.3.1.2
b7302000-b731e000 r-xp 00000000 03:05 77163      /lib/libselinux.so.1
b731e000-b731f000 r--p 0001b000 03:05 77163      /lib/libselinux.so.1
b731f000-b7320000 rw-p 0001c000 03:05 77163      /lib/libselinux.so.1
b7320000-b7338000 r-xp 00000000 03:05 77107      /lib/libaudit.so.0.0.0
b7338000-b7339000 r--p 00017000 03:05 77107      /lib/libaudit.so.0.0.0
b7339000-b733a000 rw-p 00018000 03:05 77107      /lib/libaudit.so.0.0.0
b733a000-b737d000 r-xp 00000000 03:05 77409      /lib/libfreebl3.so
b737d000-b737e000 rw-p 00042000 03:05 77409      /lib/libfreebl3.so
b737e000-b7383000 rw-p b737e000 00:00 0 
b7383000-b7421000 r-xp 00000000 03:08 63123      /usr/lib/libgnutls.so.26.4.6
b7421000-b7427000 rw-p 0009e000 03:08 63123      /usr/lib/libgnutls.so.26.4.6
b7427000-b7429000 r-xp 00000000 03:05 77125      /lib/libkeyutils-1.2.so
b7429000-b742a000 rw-p 00001000 03:05 77125      /lib/libkeyutils-1.2.so
b742a000-b7433000 r-xp 00000000 03:08 63057      /usr/lib/libkrb5support.so.0.1
b7433000-b7434000 rw-p 00008000 03:08 63057      /usr/lib/libkrb5support.so.0.1
b7434000-b7586000 r-xp 00000000 03:08 67071      /usr/lib/libcrypto.so.0.9.8k
b7586000-b759d000 rw-p 00151000 03:08 67071      /usr/lib/libcrypto.so.0.9.8k
b759d000-b75a0000 rw-p b759d000 00:00 0 
b75a0000-b75e8000 r-xp 00000000 03:08 67073      /usr/lib/libssl.so.0.9.8k
b75e8000-b75ec000 rw-p 00048000 03:08 67073      /usr/lib/libssl.so.0.9.8k
b75ec000-b75ed000 rw-p b75ec000 00:00 0 
b75ed000-b7605000 r-xp 00000000 03:08 62664      /usr/lib/libsasl2.so.2.0.22
b7605000-b7606000 rw-p 00017000 03:08 62664      /usr/lib/libsasl2.so.2.0.22
b7606000-b7775000 r-xp 00000000 03:05 76957      /lib/libc-2.10.1.so
b7775000-b7776000 ---p 0016f000 03:05 76957      /lib/libc-2.10.1.so
b7776000-b7778000 r--p 0016f000 03:05 76957      /lib/libc-2.10.1.so
b7778000-b7779000 rw-p 00171000 03:05 76957      /lib/libc-2.10.1.so
b7779000-b777c000 rw-p b7779000 00:00 0 
b777c000-b7786000 r-xp 00000000 03:08 62662      /usr/lib/libwbclient.so.0
b7786000-b7787000 r--p 00009000 03:08 62662      /usr/lib/libwbclient.so.0
b7787000-b7788000 rw-p 0000a000 03:08 62662      /usr/lib/libwbclient.so.0
b7788000-b7789000 rw-p b7788000 00:00 0 
b7789000-b7796000 r-xp 00000000 03:08 63228      /usr/lib/libtdb.so.1.1.3
b7796000-b7797000 rw-p 0000c000 03:08 63228      /usr/lib/libtdb.so.1.1.3
b7797000-b779e000 r-xp 00000000 03:08 66586      /usr/lib/libtalloc.so.1
b779e000-b779f000 r--p 00006000 03:08 66586      /usr/lib/libtalloc.so.1
b779f000-b77a0000 rw-p 00007000 03:08 66586      /usr/lib/libtalloc.so.1
b77a0000-b77a8000 r-xp 00000000 03:05 76953      /lib/libpopt.so.0.0.0
b77a8000-b77a9000 rw-p 00007000 03:05 76953      /lib/libpopt.so.0.0.0
b77a9000-b77aa000 rw-p b77a9000 00:00 0 
b77aa000-b77ad000 r-xp 00000000 03:05 77022      /lib/libdl-2.10.1.so
b77ad000-b77ae000 r--p 00002000 03:05 77022      /lib/libdl-2.10.1.so
b77ae000-b77af000 rw-p 00003000 03:05 77022      /lib/libdl-2.10.1.so
b77af000-b77c5000 r-xp 00000000 03:05 77049      /lib/libnsl-2.10.1.so
b77c5000-b77c6000 r--p 00016000 03:05 77049      /lib/libnsl-2.10.1.so
b77c6000-b77c7000 rw-p 00017000 03:05 77049      /lib/libnsl-2.10.1.so
b77c7000-b77c9000 rw-p b77c7000 00:00 0 
b77c9000-b77dd000 r-xp 00000000 03:05 77121      /lib/libresolv-2.10.1.so
b77dd000-b77de000 ---p 00014000 03:05 77121      /lib/libresolv-2.10.1.so
b77de000-b77df000 r--p 00014000 03:05 77121      /lib/libresolv-2.10.1.so
b77df000-b77e0000 rw-p 00015000 03:05 77121      /lib/libresolv-2.10.1.so
b77e0000-b77e2000 rw-p b77e0000 00:00 0 
b77e2000-b77e6000 r-xp 00000000 03:05 77101      /lib/libcap.so.2.16
b77e6000-b77e7000 rw-p 00003000 03:05 77101      /lib/libcap.so.2.16
b77e7000-b77eb000 r-xp 00000000 03:05 76973      /lib/libattr.so.1.1.0
b77eb000-b77ec000 rw-p 00003000 03:05 76973      /lib/libattr.so.1.1.0
b77ec000-b77f3000 r-xp 00000000 03:05 77098      /lib/libacl.so.1.1.0
b77f3000-b77f4000 rw-p 00006000 03:05 77098      /lib/libacl.so.1.1.0
b77f4000-b77f5000 rw-p b77f4000 00:00 0 
b77f5000-b7800000 r-xp 00000000 03:05 77092      /lib/libpam.so.0.82.1
b7800000-b7801000 rw-p 0000b000 03:05 77092      /lib/libpam.so.0.82.1
b7801000-b7809000 r-xp 00000000 03:05 77010      /lib/libcrypt-2.10.1.so
b7809000-b780a000 r--p 00007000 03:05 77010      /lib/libcrypt-2.10.1.so
b780a000-b780b000 rw-p 00008000 03:05 77010      /lib/libcrypt-2.10.1.so
b780b000-b7832000 rw-p b780b000 00:00 0 
b7832000-b7859000 r-xp 00000000 03:05 77035      /lib/libm-2.10.1.so
b7859000-b785a000 r--p 00026000 03:05 77035      /lib/libm-2.10.1.so
b785a000-b785b000 rw-p 00027000 03:05 77035      /lib/libm-2.10.1.so
b785b000-b7871000 r-xp 00000000 03:05 77119      /lib/libpthread-2.10.1.so
b7871000-b7872000 r--p 00015000 03:05 77119      /lib/libpthread-2.10.1.so
b7872000-b7873000 rw-p 00016000 03:05 77119      /lib/libpthread-2.10.1.so
b7873000-b7875000 rw-p b7873000 00:00 0 
b7875000-b7887000 r-xp 00000000 03:05 76982      /lib/libz.so.1.2.3
b7887000-b7888000 rw-p 00011000 03:05 76982      /lib/libz.so.1.2.3
b7888000-b78c0000 r-xp 00000000 03:08 65601      /usr/lib/libcups.so.2
b78c0000-b78c2000 rw-p 00037000 03:08 65601      /usr/lib/libcups.so.2
b78c2000-b78c4000 r-xp 00000000 03:05 76938      /lib/libcom_err.so.2.1
b78c4000-b78c5000 rw-p 00001000 03:05 76938      /lib/libcom_err.so.2.1
b78c5000-b78c6000 rw-p b78c5000 00:00 0 
b78c6000-b78e9000 r-xp 00000000 03:08 62926      /usr/lib/libk5crypto.so.3.1
b78e9000-b78ea000 rw-p 00023000 03:08 62926      /usr/lib/libk5crypto.so.3.1
b78ea000-b7984000 r-xp 00000000 03:08 63054      /usr/lib/libkrb5.so.3.3
b7984000-b7986000 rw-p 0009a000 03:08 63054      /usr/lib/libkrb5.so.3.3
b7986000-b79b0000 r-xp 00000000 03:08 62643      /usr/lib/libgssapi_krb5.so.2.2
b79b0000-b79b1000 rw-p 0002a000 03:08 62643      /usr/lib/libgssapi_krb5.so.2.2
b79b1000-b79bf000 r-xp 00000000 03:08 62695      /usr/lib/liblber-2.4.so.2.4.1
b79bf000-b79c0000 rw-p 0000d000 03:08 62695      /usr/lib/liblber-2.4.so.2.4.1
b79c0000-b7a04000 r-xp 00000000 03:08 62925      /usr/lib/libldap-2.4.so.2.4.1
b7a04000-b7a06000 rw-p 00044000 03:08 62925      /usr/lib/libldap-2.4.so.2.4.1
b7a06000-b7a07000 rw-p b7a06000 00:00 0 
b7a09000-b7a0a000 rw-s 00000000 03:06 126566     /var/lib/samba/messages.tdb
b7a0a000-b7a11000 r--s 00000000 03:08 65305      /usr/lib/gconv/gconv-modules.cache
b7a11000-b7a12000 r-xp b7a11000 00:00 0          [vdso]
b7a12000-b7a31000 r-xp 00000000 03:05 77385      /lib/ld-2.10.1.so
b7a31000-b7a32000 r--p 0001e000 03:05 77385      /lib/ld-2.10.1.so
b7a32000-b*** stack smashing detected ***: smbd terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x40)[0xb7700d30]
/lib/libc.so.6(__fortify_fail+0x0)[0xb7700cf0]
/lib/libgcrypt.so.11[0xb72ce2d4]
/lib/libgcrypt.so.11[0xb72c5a84]
======= Memory map: ========
b6fd8000-b7002000 r-xp 00000000 03:05 76972      /lib/libgcc_s-4.4.0-20090506.so.1
b7002000-b7003000 rw-p 00029000 03:05 76972      /lib/libgcc_s-4.4.0-20090506.so.1
b7003000-b700e000 r-xp 00000000 03:05 77089      /lib/libnss_files-2.10.1.so
b700e000-b700f000 r--p 0000a000 03:05 77089      /lib/libnss_files-2.10.1.so
b700f000-b7010000 rw-p 0000b000 03:05 77089      /lib/libnss_files-2.10.1.so
b701a000-b702a000 r--s 00000000 03:08 64130      /usr/lib/samba/valid.dat
b702a000-b702c000 r-xp 00000000 03:08 65140      /usr/lib/gconv/IBM850.so
b702c000-b702d000 r--p 00001000 03:08 65140      /usr/lib/gconv/IBM850.so
b702d000-b702e000 rw-p 00002000 03:08 65140      /usr/lib/gconv/IBM850.so
b702e000-b7030000 r-xp 00000000 03:08 65255      /usr/lib/gconv/UTF-16.so
b7030000-b7031000 r--p 00001000 03:08 65255      /usr/lib/gconv/UTF-16.so
b7031000-b7032000 rw-p 00002000 03:08 65255      /usr/lib/gconv/UTF-16.so
b7032000-b7232000 r--p 00000000 03:08 66818      /usr/lib/locale/locale-archive
b7232000-b7252000 r--s 00000000 03:08 64128      /usr/lib/samba/lowcase.dat
b7252000-b7272000 r--s 00000000 03:08 64129      /usr/lib/samba/upcase.dat
b7272000-b7274000 rw-p b7272000 00:00 0 
b7274000-b7277000 r-xp 00000000 03:05 76986      /lib/libgpg-error.so.0.4.0
b7277000-b7278000 rw-p 00002000 03:05 76986      /lib/libgpg-error.so.0.4.0
b7278000-b7279000 rw-p b7278000 00:00 0 
b7279000-b72ee000 r-xp 00000000 03:05 77157      /lib/libgcrypt.so.11.5.2
b72ee000-b72f1000 rw-p 00074000 03:05 77157      /lib/libgcrypt.so.11.5.2
b72f1000-b7301000 r-xp 00000000 03:08 63184      /usr/lib/libtasn1.so.3.1.2
b7301000-b7302000 rw-p 00010000 03:08 63184      /usr/lib/libtasn1.so.3.1.2
b7302000-b731e000 r-xp 00000000 03:05 77163      /lib/libselinux.so.1
b731e000-b731f000 r--p 0001b000 03:05 77163      /lib/libselinux.so.1
b731f000-b7320000 rw-p 0001c000 03:05 77163      /lib/libselinux.so.1
b7320000-b7338000 r-xp 00000000 03:05 77107      /lib/libaudit.so.0.0.0
b7338000-b7339000 r--p 00017000 03:05 77107      /lib/libaudit.so.0.0.0
b7339000-b733a000 rw-p 00018000 03:05 77107      /lib/libaudit.so.0.0.0
b733a000-b737d000 r-xp 00000000 03:05 77409      /lib/libfreebl3.so
b737d000-b737e000 rw-p 00042000 03:05 77409      /lib/libfreebl3.so
b737e000-b7383000 rw-p b737e000 00:00 0 
b7383000-b7421000 r-xp 00000000 03:08 63123      /usr/lib/libgnutls.so.26.4.6
b7421000-b7427000 rw-p 0009e000 03:08 63123      /usr/lib/libgnutls.so.26.4.6
b7427000-b7429000 r-xp 00000000 03:05 77125      /lib/libkeyutils-1.2.so
b7429000-b742a000 rw-p 00001000 03:05 77125      /lib/libkeyutils-1.2.so
b742a000-b7433000 r-xp 00000000 03:08 63057      /usr/lib/libkrb5support.so.0.1
b7433000-b7434000 rw-p 00008000 03:08 63057      /usr/lib/libkrb5support.so.0.1
b7434000-b7586000 r-xp 00000000 03:08 67071      /usr/lib/libcrypto.so.0.9.8k
b7586000-b759d000 rw-p 00151000 03:08 67071      /usr/lib/libcrypto.so.0.9.8k
b759d000-b75a0000 rw-p b759d000 00:00 0 
b75a0000-b75e8000 r-xp 00000000 03:08 67073      /usr/lib/libssl.so.0.9.8k
b75e8000-b75ec000 rw-p 00048000 03:08 67073      /usr/lib/libssl.so.0.9.8k
b75ec000-b75ed000 rw-p b75ec000 00:00 0 
b75ed000-b7605000 r-xp 00000000 03:08 62664      /usr/lib/libsasl2.so.2.0.22
b7605000-b7606000 rw-p 00017000 03:08 62664      /usr/lib/libsasl2.so.2.0.22
b7606000-b7775000 r-xp 00000000 03:05 76957      /lib/libc-2.10.1.so
b7775000-b7776000 ---p 0016f000 03:05 76957      /lib/libc-2.10.1.so
b7776000-b7778000 r--p 0016f000 03:05 76957      /lib/libc-2.10.1.so
b7778000-b7779000 rw-p 00171000 03:05 76957      /lib/libc-2.10.1.so
b7779000-b777c000 rw-p b7779000 00:00 0 
b777c000-b7786000 r-xp 00000000 03:08 62662      /usr/lib/libwbclient.so.0
b7786000-b7787000 r--p 00009000 03:08 62662      /usr/lib/libwbclient.so.0
b7787000-b7788000 rw-p 0000a000 03:08 62662      /usr/lib/libwbclient.so.0
b7788000-b7789000 rw-p b7788000 00:00 0 
b7789000-b7796000 r-xp 00000000 03:08 63228      /usr/lib/libtdb.so.1.1.3
b7796000-b7797000 rw-p 0000c000 03:08 63228      /usr/lib/libtdb.so.1.1.3
b7797000-b779e000 r-xp 00000000 03:08 66586      /usr/lib/libtalloc.so.1
b779e000-b779f000 r--p 00006000 03:08 66586      /usr/lib/libtalloc.so.1
b779f000-b77a0000 rw-p 00007000 03:08 66586      /usr/lib/libtalloc.so.1
b77a0000-b77a8000 r-xp 00000000 03:05 76953                [  OK  ]
Comment 1 udo 2009-06-16 09:04:22 EDT
Also on my VIA Epia EN12000:

# service smb restart
Shutting down SMB services:                                [  OK  ]
Starting SMB services: *** stack smashing detected ***: smbd terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x48)[0xb7580bd8]
/lib/libc.so.6(__fortify_fail+0x0)[0xb7580b90]
/lib/libgcrypt.so.11[0xb71322d4]
/lib/libgcrypt.so.11[0xb7129a84]
======= Memory map: ========
b6df4000-b6e1e000 r-xp 00000000 08:05 74089      /lib/libgcc_s-4.4.0-20090506.so.1
b6e1e000-b6e1f000 rw-p 00029000 08:05 74089      /lib/libgcc_s-4.4.0-20090506.so.1
b6e1f000-b6e2a000 r-xp 00000000 08:05 73471      /lib/libnss_files-2.10.1.so
b6e2a000-b6e2b000 r--p 0000a000 08:05 73471      /lib/libnss_files-2.10.1.so
b6e2b000-b6e2c000 rw-p 0000b000 08:05 73471      /lib/libnss_files-2.10.1.so
b6e44000-b6e45000 rw-s 00000000 08:07 32714      /var/lib/samba/messages.tdb
b6e45000-b6e55000 r--s 00000000 08:06 290642     /usr/lib/samba/valid.dat
b6e55000-b7055000 r--p 00000000 08:06 282731     /usr/lib/locale/locale-archive
b7055000-b7075000 r--s 00000000 08:06 290641     /usr/lib/samba/lowcase.dat
b7075000-b7095000 r--s 00000000 08:06 289901     /usr/lib/samba/upcase.dat
b7095000-b7098000 rw-p b7095000 00:00 0 
b7098000-b70d7000 r-xp 00000000 08:05 74101      /lib/libdbus-1.so.3.4.0
b70d7000-b70d8000 r--p 0003e000 08:05 74101      /lib/libdbus-1.so.3.4.0
b70d8000-b70d9000 rw-p 0003f000 08:05 74101      /lib/libdbus-1.so.3.4.0
b70d9000-b70dc000 r-xp 00000000 08:05 74105      /lib/libgpg-error.so.0.4.0
b70dc000-b70dd000 rw-p 00002000 08:05 74105      /lib/libgpg-error.so.0.4.0
b70dd000-b7152000 r-xp 00000000 08:05 74106      /lib/libgcrypt.so.11.5.2
b7152000-b7155000 rw-p 00074000 08:05 74106      /lib/libgcrypt.so.11.5.2
b7155000-b7165000 r-xp 00000000 08:06 265678     /usr/lib/libtasn1.so.3.1.2
b7165000-b7166000 rw-p 00010000 08:06 265678     /usr/lib/libtasn1.so.3.1.2
b7166000-b7182000 r-xp 00000000 08:05 74093      /lib/libselinux.so.1
b7182000-b7183000 r--p 0001b000 08:05 74093      /lib/libselinux.so.1
b7183000-b7184000 rw-p 0001c000 08:05 74093      /lib/libselinux.so.1
b7184000-b7185000 rw-p b7184000 00:00 0 
b7185000-b719d000 r-xp 00000000 08:05 74114      /lib/libaudit.so.0.0.0
b719d000-b719e000 r--p 00017000 08:05 74114      /lib/libaudit.so.0.0.0
b719e000-b719f000 rw-p 00018000 08:05 74114      /lib/libaudit.so.0.0.0
b719f000-b71e2000 r-xp 00000000 08:05 73565      /lib/libfreebl3.so
b71e2000-b71e3000 rw-p 00042000 08:05 73565      /lib/libfreebl3.so
b71e3000-b71e7000 rw-p b71e3000 00:00 0 
b71e7000-b71f6000 r-xp 00000000 08:06 266417     /usr/lib/libavahi-client.so.3.2.5
b71f6000-b71f7000 rw-p 0000e000 08:06 266417     /usr/lib/libavahi-client.so.3.2.5
b71f7000-b7202000 r-xp 00000000 08:06 266556     /usr/lib/libavahi-common.so.3.5.1
b7202000-b7203000 rw-p 0000a000 08:06 266556     /usr/lib/libavahi-common.so.3.5.1
b7203000-b72a3000 r-xp 00000000 08:06 266386     /usr/lib/libgnutls.so.26.11.7
b72a3000-b72a9000 rw-p 0009f000 08:06 266386     /usr/lib/libgnutls.so.26.11.7
b72a9000-b72aa000 rw-p b72a9000 00:00 0 
b72aa000-b72ac000 r-xp 00000000 08:05 74107      /lib/libkeyutils-1.2.so
b72ac000-b72ad000 rw-p 00001000 08:05 74107      /lib/libkeyutils-1.2.so
b72ad000-b72b6000 r-xp 00000000 08:06 266392     /usr/lib/libkrb5support.so.0.1
b72b6000-b72b7000 rw-p 00008000 08:06 266392     /usr/lib/libkrb5support.so.0.1
b72b7000-b7409000 r-xp 00000000 08:06 266411     /usr/lib/libcrypto.so.0.9.8k
b7409000-b7420000 rw-p 00151000 08:06 266411     /usr/lib/libcrypto.so.0.9.8k
b7420000-b7423000 rw-p b7420000 00:00 0 
b7423000-b746b000 r-xp 00000000 08:06 266413     /usr/lib/libssl.so.0.9.8k
b746b000-b746f000 rw-p 00048000 08:06 266413     /usr/lib/libssl.so.0.9.8k
b746f000-b7487000 r-xp 00000000 08:06 266037     /usr/lib/libsasl2.so.2.0.22
b7487000-b7488000 rw-p 00017000 08:06 266037     /usr/lib/libsasl2.so.2.0.22
b7488000-b7489000 rw-p b7488000 00:00 0 
b7489000-b75f4000 r-xp 00000000 08:05 74081      /lib/libc-2.10.1.so
b75f4000-b75f5000 ---p 0016b000 08:05 74081      /lib/libc-2.10.1.so
b75f5000-b75f7000 r--p 0016b000 08:05 74081      /lib/libc-2.10.1.so
b75f7000-b75f8000 rw-p 0016d000 08:05 74081      /lib/libc-2.10.1.so
b75f8000-b75fb000 rw-p b75f*** stack smashing detected ***: smbd terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x48)[0xb7580bd8]
/lib/libc.so.6(__fortify_fail+0x0)[0xb7580b90]
/lib/libgcrypt.so.11[0xb71322d4]
/lib/libgcrypt.so.11[0xb7129a84]
======= Memory map: ========
b6df4000-b6e1e000 r-xp 00000000 08:05 74089      /lib/libgcc_s-4.4.0-20090506.so.1
b6e1e000-b6e1f000 rw-p 00029000 08:05 74089      /lib/libgcc_s-4.4.0-20090506.so.1
b6e1f000-b6e2a000 r-xp 00000000 08:05 73471      /lib/libnss_files-2.10.1.so
b6e2a000-b6e2b000 r--p 0000a000 08:05 73471      /lib/libnss_files-2.10.1.so
b6e2b000-b6e2c000 rw-p 0000b000 08:05 73471      /lib/libnss_files-2.10.1.so
b6e44000-b6e45000 rw-s 00000000 08:07 32714      /var/lib/samba/messages.tdb
b6e45000-b6e55000 r--s 00000000 08:06 290642     /usr/lib/samba/valid.dat
b6e55000-b7055000 r--p 00000000 08:06 282731     /usr/lib/locale/locale-archive
b7055000-b7075000 r--s 00000000 08:06 290641     /usr/lib/samba/lowcase.dat
b7075000-b7095000 r--s 00000000 08:06 289901     /usr/lib/samba/upcase.dat
b7095000-b7098000 rw-p b7095000 00:00 0 
b7098000-b70d7000 r-xp 00000000 08:05 74101      /lib/libdbus-1.so.3.4.0
b70d7000-b70d8000 r--p 0003e000 08:05 74101      /lib/libdbus-1.so.3.4.0
b70d8000-b70d9000 rw-p 0003f000 08:05 74101      /lib/libdbus-1.so.3.4.0
b70d9000-b70dc000 r-xp 00000000 08:05 74105      /lib/libgpg-error.so.0.4.0
b70dc000-b70dd000 rw-p 00002000 08:05 74105      /lib/libgpg-error.so.0.4.0
b70dd000-b7152000 r-xp 00000000 08:05 74106      /lib/libgcrypt.so.11.5.2
b7152000-b7155000 rw-p 00074000 08:05 74106      /lib/libgcrypt.so.11.5.2
b7155000-b7165000 r-xp 00000000 08:06 265678     /usr/lib/libtasn1.so.3.1.2
b7165000-b7166000 rw-p 00010000 08:06 265678     /usr/lib/libtasn1.so.3.1.2
b7166000-b7182000 r-xp 00000000 08:05 74093      /lib/libselinux.so.1
b7182000-b7183000 r--p 0001b000 08:05 74093      /lib/libselinux.so.1
b7183000-b7184000 rw-p 0001c000 08:05 74093      /lib/libselinux.so.1
b7184000-b7185000 rw-p b7184000 00:00 0 
b7185000-b719d000 r-xp 00000000 08:05 74114      /lib/libaudit.so.0.0.0
b719d000-b719e000 r--p 00017000 08:05 74114      /lib/libaudit.so.0.0.0
b719e000-b719f000 rw-p 00018000 08:05 74114      /lib/libaudit.so.0.0.0
b719f000-b71e2000 r-xp 00000000 08:05 73565      /lib/libfreebl3.so
b71e2000-b71e3000 rw-p 00042000 08:05 73565      /lib/libfreebl3.so
b71e3000-b71e7000 rw-p b71e3000 00:00 0 
b71e7000-b71f6000 r-xp 00000000 08:06 266417     /usr/lib/libavahi-client.so.3.2.5
b71f6000-b71f7000 rw-p 0000e000 08:06 266417     /usr/lib/libavahi-client.so.3.2.5
b71f7000-b7202000 r-xp 00000000 08:06 266556     /usr/lib/libavahi-common.so.3.5.1
b7202000-b7203000 rw-p 0000a000 08:06 266556     /usr/lib/libavahi-common.so.3.5.1
b7203000-b72a3000 r-xp 00000000 08:06 266386     /usr/lib/libgnutls.so.26.11.7
b72a3000-b72a9000 rw-p 0009f000 08:06 266386     /usr/lib/libgnutls.so.26.11.7
b72a9000-b72aa000 rw-p b72a9000 00:00 0 
b72aa000-b72ac000 r-xp 00000000 08:05 74107      /lib/libkeyutils-1.2.so
b72ac000-b72ad000 rw-p 00001000 08:05 74107      /lib/libkeyutils-1.2.so
b72ad000-b72b6000 r-xp 00000000 08:06 266392     /usr/lib/libkrb5support.so.0.1
b72b6000-b72b7000 rw-p 00008000 08:06 266392     /usr/lib/libkrb5support.so.0.1
b72b7000-b7409000 r-xp 00000000 08:06 266411     /usr/lib/libcrypto.so.0.9.8k
b7409000-b7420000 rw-p 00151000 08:06 266411     /usr/lib/libcrypto.so.0.9.8k
b7420000-b7423000 rw-p b7420000 00:00 0 
b7423000-b746b000 r-xp 00000000 08:06 266413     /usr/lib/libssl.so.0.9.8k
b746b000-b746f000 rw-p 00048000 08:06 266413     /usr/lib/libssl.so.0.9.8k
b746f000-b7487000 r-xp 00000000 08:06 266037     /usr/lib/libsasl2.so.2.0.22
b7487000-b7488000 rw-p 00017000 08:06 266037     /usr/lib/libsasl2.so.2.0.22
b7488000-b7489000 rw-p b7488000 00:00 0 
b7489000-b75f4000 r-xp 00000000 08:05 74081      /lib/libc-2.10.1.so
b75f4000-b75f5000 ---p 0016b000 08:05 74081      /lib/libc-2.10.1.so
b75f5000-b75f7000 r--p 0016b000 08:05 74081      /lib/libc-2.10.1.so
b75f7000-b75f8000 rw-p 0016d000 08:05 74081      /lib/libc-2.10.1.so
b75f8000-b75fb000 rw-p b75f8000 00:00 0 
b75fb000-b7605000 r-xp 00000000 08:06 266943     /usr/lib/libwbclient.so.0
b7605000-b7606000 r--p 00009000 08:06 266943     /usr/lib/libwbclient.so.0
b7606000-b7607000 rw-p 0000a000 08:06 266943     /usr/lib/libwbclient.so.0
b7607000-b7608000 rw-p b7607000 00:00 0 
b7608000-b7615000 r-xp 00000000 08:06 266636     /usr/lib/libtdb.so.1.1.3
b7615000-b7616000 rw-p 0000c000 08:06 266636     /usr/lib/libtdb.so.1.1.3
b7616000-b761d000 r-xp 00000000 08:06 266940     /usr/lib/libtalloc.so.1
b761d000-b761e000 r--p 00006000 08:06 266940     /usr/lib/libtalloc.so.1
b761e000-b761f000 rw-p 00007000 08:06 266940     /usr/lib/libtalloc.so.1
b761f000-b7627000 r-xp 00000000 08:05 74112      /lib/libpopt.so.0.0.0
b7627000-b7628000 rw-p 00007000 08:05 74112      /lib/libpopt.so.0.0.0
b7628000-b762b000 r-xp 00000000 08:05 74084      /lib/libdl-2.10.1.so
b762b000-b762c000 r--p 00002000 08:05 74084      /lib/libdl-2.10.1.so
b762c000-b762d000 rw-p 00003000 08:05 74084      /lib/libdl-2.10.1.so
b762d000-b762e000 rw-p b762d000 00:00 0 
b762e000-b7645000 r-xp 00000000 08:05 74083      /lib/libnsl-2.10.1.so
b7645000-b7646000 r--p 00016000 08:05 74083      /lib/libnsl-2.10.1.so
b7646000-b7647000 rw-p 00017000 08:05 74083      /lib/libnsl-2.10.1.so
b7647000-b7649000 rw-p b7647000 00:00 0 
b7649000-b765d000 r-xp 00000000 08:05 74082      /lib/libresolv-2.10.1.so
b765d000-b765e000 ---p 00014000 08:05 74082      /lib/libresolv-2.10.1.so
b765e000-b765f000 r--p 00014000 08:05 74082      /lib/libresolv-2.10.1.so
b765f000-b7660000 rw-p 00015000 08:05 74082      /lib/libresolv-2.10.1.so
b7660000-b7662000 rw-p b7660000 00:00 0 
b7662000-b7666000 r-xp 00000000 08:05 74100      /lib/libcap.so.2.16
b7666000-b7667000 rw-p 00003000 08:05 74100      /lib/libcap.so.2.16
b7667000-b766b000 r-xp 00000000 08:05 74099      /lib/libattr.so.1.1.0
b766b000-b766c000 rw-p 00003000 08:05 74099      /lib/libattr.so.1.1.0
b766c000-b7673000 r-xp 00000000 08:05 74109      /lib/libacl.so.1.1.0
b7673000-b7674000 rw-p 00006000 08:05 74109      /lib/libacl.so.1.1.0
b7674000-b767f000 r-xp 00000000 08:05 74120      /lib/libpam.so.0.82.1
b767f000-b7680000 rw-p 0000b000 08:05 74120      /lib/libpam.so.0.82.1
b7680000-b7681000 rw-p b7680000 00:00 0 
b7681000-b7689000 r-xp 00000000 08:05 73468      /lib/libcrypt-2.10.1.so
b7689000-b768a000 r--p 00007000 08:05 73468      /lib/libcrypt-2.10.1.so
b768a000-b768b000 rw-p 00008000 08:05 73468      /lib/libcrypt-2.10.1.so
b768b000-b76b2000 rw-p b768b000 00:00 0 
b76b2000-b76d8000 r-xp 00000000 08:05 74085      /lib/libm-2.10.1.so
b76d8000-b76d9000 r--p 00025000 08:05 74085      /lib/libm-2.10.1.so
b76d9000-b76da000 rw-p 00026000 08:05 74085      /lib/libm-2.10.1.so
b76da000-b76f0000 r-xp 00000000 08:05 74087      /lib/libpthread-2.10.1.so
b76f0000-b76f1000 ---p 00016000 08:05 74087      /lib/libpthread-2.10.1.so
b76f1000-b76f2000 r--p 00016000 08:05 74087      /lib/libpthread-2.10.1.so
b76f2000-b76f3000 rw-p 00017000 08:05 74087      /lib/libpthread-2.10.1.so
b76f3000-b76f5000 rw-p b76f3000 00:00 0 
b76f5000-b7707000 r-xp 00000000 08:05 74097      /lib/libz.so.1.2.3
b7707000-b7708000 rw-p 00011000 08:05 74097      /lib/libz.so.1.2.3
b7708000-b774f000 r-xp 00000000 08:06 272277     /usr/lib/libcups.so.2
b774f000-b7752000 rw-p 00046000 08:06 272277     /usr/lib/libcups.so.2
b7752000-b7754000 r-xp 00000000 08:05 74108      /lib/libcom_err.so.2.1
b7754000-b7755000 rw-p 00001000 08:05 74108      /lib/libcom_err.so.2.1
b7755000-b7756000 rw-p b7755000 00:00 0 
b7756000-b7779000 r-xp 00000000 08:06 266397     /usr/lib/libk5crypto.so.3.1
b7779000-b777a000 rw-p 00023000 08:06 266397     /usr/lib/libk5crypto.so.3.1
b777a000-b7814000 r-xp 00000000 08:06 266399     /usr/lib/libkrb5.so.3.3
b7814000-b7816000 rw-p 0009a000 08:06 266399     /usr/lib/libkrb5.so.3.3
b7816000-b7840000 r-xp 00000000 08:06 266404     /usr/lib/libgssapi_krb5.so.2.2
b7840000-b7841000 rw-p 0002a000 08:06 266404     /usr/lib/libgssapi_krb5.so.2.2
b7841000-b784f000 r-xp 00000000 08:06 266092     /usr/lib/liblber-2.4.so.2.4.1
b784f000-b7850000 rw-p 0000d000 08:06 266092     /usr/lib/liblber-2.4.so.2.4.1
b7850000-b7894000 r-xp 00000000 08:06 265901     /usr/lib/libldap-2.4.so.2.4.1
b7894000-b7896000 rw-p 00044000 08:06 265901     /usr/lib/libldap-2.4.so.2.4.1
b7896000-b7897000 rw-p b7896000 00:0                       [  OK  ]
Comment 3 Simo Sorce 2009-06-16 09:14:21 EDT
Looks like it might be a bug in libc, can you provide a full stack trace (with debugging symbols) so that we can see what path causes the crash ?
Comment 4 udo 2009-06-16 09:24:48 EDT
howto do that?
Install debug symbols but then, for a daemon? Start manually etc?
Comment 5 Simo Sorce 2009-06-16 09:37:12 EDT
An easy way is to set:
 panic action = "/bin/sleep 90000"
in smb.conf

This whould make samba halt for 90000 seconds when it crashes.
when that happen attach gdb to the process and use the commend "bt" to obtain the stack trace.
Attach the output to the bug report.
Comment 6 udo 2009-06-16 10:25:47 EDT
(gdb) bt
#0  0xb75ec79e in __waitpid_nocancel () from /lib/libc.so.6
#1  0xb7587cb3 in do_system (line=<value optimized out>) at ../sysdeps/posix/system.c:149
#2  0xb77aff0d in system (line=0xb9cbdec0 "/bin/sleep 90000") at pt-system.c:29
#3  0xb7c75906 in smb_panic (why=0xb7f40ab7 "internal error") at lib/util.c:1679
#4  0xb7c5dd8e in fault_report (sig=<value optimized out>) at lib/fault.c:46
#5  sig_fault (sig=<value optimized out>) at lib/fault.c:69
#6  <signal handler called>
#7  0xb7578a17 in *__GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#8  0xb757a372 in *__GI_abort () at abort.c:88
#9  0xb75b7b35 in __libc_message (do_abort=2, fmt=0xb768d827 "*** %s ***: %s terminated\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:170
#10 0xb7647d30 in *__GI___fortify_fail (msg=0xb768d80f "stack smashing detected") at fortify_fail.c:32
#11 0xb7647cf0 in __stack_chk_fail () at stack_chk_fail.c:29
#12 0xb72612d4 in __stack_chk_fail_local () from /lib/libgcrypt.so.11
#13 0xb7258a84 in poll_padlock (add=<value optimized out>, origin=<value optimized out>, fast=0) at rndhw.c:95
#14 0x00000000 in ?? ()
Comment 7 udo 2009-06-17 12:25:01 EDT
See https://bugzilla.redhat.com/show_bug.cgi?id=505724 for an update that appears to fix the issue.
Comment 8 Simo Sorce 2009-06-17 14:21:48 EDT

*** This bug has been marked as a duplicate of bug 505724 ***

Note You need to log in before you can comment on or make changes to this bug.